FileInfo (Apache Tomcat 9.0.102 API Documentation)
Description: declaration: package: org.apache.tomcat.jni, class: FileInfo

Package org.apache.tomcat.jni

# Class FileInfo

java.lang.Object
org.apache.tomcat.jni.FileInfo

@Deprecated public class FileInfo extends Object
Deprecated.
The scope of the APR/Native Library will be reduced in Tomcat 9.1.x / Tomcat Native 2.x and has been reduced in Tomcat 10.1.x / Tomcat Native 2.x onwards to only include those components required to provide OpenSSL integration with the NIO and NIO2 connectors.
Fileinfo

Author:
  Mladen Turk

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `long`
  `atime`
  Deprecated.
  The time the file was last accessed
  `long`
  `csize`
  Deprecated.
  The storage size consumed by the file
  `long`
  `ctime`
  Deprecated.
  The time the file was created, or the inode was last changed
  `int`
  `device`
  Deprecated.
  The id of the device the file is on.
  `long`
  `filehand`
  Deprecated.
  The file's handle, if accessed (can be submitted to apr_duphandle)
  `int`
  `filetype`
  Deprecated.
  The type of file.
  `String`
  `fname`
  Deprecated.
  The pathname of the file (possibly unrooted)
  `int`
  `group`
  Deprecated.
  The group id that owns the file
  `int`
  `inode`
  Deprecated.
  The inode of the file.
  `long`
  `mtime`
  Deprecated.
  The time the file was last modified
  `String`
  `name`
  Deprecated.
  The file's name (no path) in filesystem case
  `int`
  `nlink`
  Deprecated.
  The number of hard links to the file.
  `long`
  `pool`
  Deprecated.
  Allocates memory and closes lingering handles in the specified pool
  `int`
  `protection`
  Deprecated.
  The access permissions of the file.
  `long`
  `size`
  Deprecated.
  The size of the file
  `int`
  `user`
  Deprecated.
  The user id that owns the file
  `int`
  `valid`
  Deprecated.
  The bitmask describing valid fields of this apr_finfo_t structure including all available 'wanted' fields and potentially more.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `FileInfo()`
  Deprecated.

- ## Method Summary

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### pool

    public long pool
    Deprecated.
    Allocates memory and closes lingering handles in the specified pool

  - ### valid

    public int valid
    Deprecated.
    The bitmask describing valid fields of this apr_finfo_t structure including all available 'wanted' fields and potentially more.

  - ### protection

    public int protection
    Deprecated.
    The access permissions of the file. Mimics Unix access rights.

  - ### filetype

    public int filetype
    Deprecated.
    The type of file. One of APR_REG, APR_DIR, APR_CHR, APR_BLK, APR_PIPE, APR_LNK or APR_SOCK. If the type is undetermined, the value is APR_NOFILE. If the type cannot be determined, the value is APR_UNKFILE.

  - ### user

    public int user
    Deprecated.
    The user id that owns the file

  - ### group

    public int group
    Deprecated.
    The group id that owns the file

  - ### inode

    public int inode
    Deprecated.
    The inode of the file.

  - ### device

    public int device
    Deprecated.
    The id of the device the file is on.

  - ### nlink

    public int nlink
    Deprecated.
    The number of hard links to the file.

  - ### size

    public long size
    Deprecated.
    The size of the file

  - ### csize

    public long csize
    Deprecated.
    The storage size consumed by the file

  - ### atime

    public long atime
    Deprecated.
    The time the file was last accessed

  - ### mtime

    public long mtime
    Deprecated.
    The time the file was last modified

  - ### ctime

    public long ctime
    Deprecated.
    The time the file was created, or the inode was last changed

  - ### fname

    public String fname
    Deprecated.
    The pathname of the file (possibly unrooted)

  - ### name

    public String name
    Deprecated.
    The file's name (no path) in filesystem case

  - ### filehand

    public long filehand
    Deprecated.
    The file's handle, if accessed (can be submitted to apr_duphandle)

- ## Constructor Details

  - ### FileInfo

    public FileInfo()
    Deprecated.